#ifndef FUNCTIONS_HPP
#define FUNCTIONS_HPP

// Includes I didn't make myself
#include <SFML/Graphics.hpp>

// Includes I did make myself
#include "constants.hpp"

bool rectCol(sf::FloatRect f, sf::FloatRect s);
Dir rectDisplace(sf::FloatRect& pos, sf::FloatRect wall);

int applyRectToShape(sf::FloatRect pos, sf::RectangleShape& shape);

float radToDeg(float a);
float degToRad(float a);

int drawRect(sf::RenderWindow& window, sf::IntRect rect, sf::Color clr);

float pythagoras(sf::Vector2f s, sf::Vector2f e);

bool rectContains(sf::FloatRect super, sf::FloatRect sub);

sf::FloatRect isctLineAABB(sf::Vector2f lStart, sf::Vector2f lEnd, sf::FloatRect aabb);

float toAng(float s, float e, float t);

#endif