#ifndef GSGAME_HPP
#define GSGAME_HPP

// Includes I didn't make myself
#include <SFML/Audio.hpp>

// Includes I did make myself
#include "gamestate.hpp"
#include "map.hpp"
#include "player.hpp"
#include "map.hpp"
#include "target.hpp"
#include "targetManager.hpp"

// Forward Declarations

class gsGame : public cGameState {
public:
	gsGame();
	~gsGame();

	int events(sf::RenderWindow& window);
    int logic(sf::RenderWindow& window);
    int render(sf::RenderWindow& window);
	
private:
	Player player;
	Map map;
	TargetManager tm;
	sf::Font font;
	sf::Text score;
	sf::Music music;
} ;

#endif