// Includes I didn't make myself
#include <SFML/Graphics.hpp>

// Includes I did make myself
#include "globals.hpp"
#include "gsMenu.hpp"

gsMenu::gsMenu() {
	intro.loadFromFile("Media/intro.png");
	spriteIntro.setTexture(intro);
	spriteIntro.setPosition(0, 0);
}

gsMenu::~gsMenu() {

}

int gsMenu::events(sf::RenderWindow& window) {
	sf::Event e;
	// Gather events
	while (window.pollEvent(e)) {
		// Close window when [X] is pressed
		if (e.type == sf::Event::Closed) {
			gm.setNextState(STATE_EXIT);
		} else if (e.type == sf::Event::KeyPressed) {
			if (e.key.code == sf::Keyboard::Return) {
				gm.setNextState(STATE_GAME);
			}
		}
	}
	return 0;
}

int gsMenu::logic(sf::RenderWindow& window) {
	return 0;
}

int gsMenu::render(sf::RenderWindow& window) {
	window.clear(sf::Color::White);
	
	window.draw(spriteIntro);
	
	window.display();
	return 0;
}