// Includes I didn't make myself
#include <SFML/Graphics.hpp>

// Includes I did make myself
#include "constants.hpp"
#include "globals.hpp"
#include "gsWin.hpp"

gsWin::gsWin() {
	buffer.loadFromFile("Media/win.wav");
	sound.setBuffer(buffer);
	sound.play();
	
	shark.loadFromFile("Media/sunglasses.jpg");
	spriteShark.setTexture(shark);
	spriteShark.setOrigin(100, 120);
	spriteShark.setPosition(700, SCR_H);
	
	bg.loadFromFile("Media/win.png");
	spriteBG.setTexture(bg);
	spriteBG.setPosition(0, 0);
}

gsWin::~gsWin() {

}

int gsWin::events(sf::RenderWindow& window) {
	sf::Event e;
	// Gather events
	while (window.pollEvent(e)) {
		// Close window when [X] is pressed
		if (e.type == sf::Event::Closed) {
			gm.setNextState(STATE_EXIT);
		} else if (e.type == sf::Event::KeyPressed) {
			if (e.key.code == sf::Keyboard::R) {
				gm.setNextState(STATE_GAME);
			}
		}
	}
	return 0;
}

int gsWin::logic(sf::RenderWindow& window) {
	return 0;
}

int gsWin::render(sf::RenderWindow& window) {
	window.clear(sf::Color::White);
	
	window.draw(spriteBG);
	
	window.draw(spriteShark);
	
	window.display();
	
	return 0;
}