#ifndef GSWIN_HPP
#define GSWIN_HPP

// Includes I didn't make myself
#include <SFML/Audio.hpp>

// Includes I did make myself
#include "gamestate.hpp"

class gsWin : public cGameState {
public:
	gsWin();
	~gsWin();
	
	int events(sf::RenderWindow& window);
	int logic(sf::RenderWindow& window);
	int render(sf::RenderWindow& window);

private:
	sf::SoundBuffer buffer;
	sf::Sound sound;
	
	sf::Texture shark;
	sf::Sprite spriteShark;
	
	sf::Texture bg;
	sf::Sprite spriteBG;
} ;

#endif