#ifndef PLAYER_HPP
#define PLAYER_HPP

// Includes I didn't make myself
#include <SFML/Graphics.hpp>

// Includes I did make myself
#include "map.hpp"

class Player {
public:
	Player();
	~Player();
	
	int events(sf::Event e);
	int logic();
	int render(sf::RenderWindow& window);
	
	sf::Vector2f getPosition();
	sf::FloatRect getViewport();
	sf::Vector2f toScreen(sf::Vector2f p);
	
	bool isBiting();
	sf::FloatRect getBiteRect();
	int biteSuccess();
	
private:
	sf::Texture texturePlayer;
	
	sf::Sprite spritePlayer;
	sf::Vector2f position;
	sf::FloatRect viewport;
	
	sf::FloatRect biteArea;
	bool biting;
	sf::Clock biteTimer;
	
	float ang;
	float dAng;
} ;

#endif