#ifndef TARGET_HPP
#define TARGET_HPP

// Includes I didn't make myself
#include <SFML/Graphics.hpp>

// Includes I did make myself

// Forward Declarations
class Player;

class Target {
public:
	Target(sf::Texture& textureTarget, sf::Texture& textureArrow);
	~Target();
	
	int logic(Player& player, bool hintArrow);
	int render(sf::RenderWindow& window);
	int bite(sf::FloatRect area);
	
private:
	sf::Vector2f to;
	
	sf::Sprite sprite;
	sf::Vector2f position;
	
	sf::Sprite spriteArrow;
	bool drawHintArrow;
	
	int flip;
	sf::Clock flipTimer;
	float currentAng;
} ;

#endif