///////// FILE INFO /////////

// Includes I didn't make myself
#include <SFML/Graphics.hpp>
#include <time.h>

// Includes I did make myself
#include "constants.hpp"
#include "globals.hpp"

// Main function
int main() {
	// Seed RNG
	srand(time(NULL));

	int binmapZoom[40][40];
	for (int x = 0; x < 20; x++) {
		for (int y = 0; y < 20; y++) {
			binmapZoom[x][y] = binmap[x][y];
			binmapZoom[x+1][y] = binmap[x][y];
			binmapZoom[x][y+1] = binmap[x][y];
			binmapZoom[x+1][y+1] = binmap[x][y];
		}
	}

	// Initiate render window
	sf::RenderWindow window(sf::VideoMode(SCR_W, SCR_H), SCR_TITLE);
	
	window.setFramerateLimit(60);
	
	// Game loop
	while (gm.getState() != STATE_EXIT) {
		gm.currState->events(window);
		
		gm.currState->logic(window);
		
		gm.changeState();
		
		gm.currState->render(window);
	}
	
	// Close the window
	window.close();
	
	return 0;
}