#ifndef TARGETMANAGER_HPP
#define TARGETMANAGER_HPP

// Includes I didn't make myself
#include <SFML/Audio.hpp>
#include <SFML/Graphics.hpp>
#include <vector>

// Includes I did make myself
#include "player.hpp"
#include "target.hpp"

class TargetManager {
public:
	TargetManager(int amount);
	~TargetManager();
	
	int logic(Player& player);
	int render(sf::RenderWindow& window);
	
	int getScore();
	bool victoryp();
	
private:
	std::vector<Target> targets;
	sf::Texture fish;
	sf::SoundBuffer buffer;
	sf::Sound crunch;
	
	sf::Texture arrow;
} ;

#endif